summaryrefslogtreecommitdiff
path: root/travis.sh
diff options
context:
space:
mode:
authorJosh Haberman <jhaberman@gmail.com>2016-09-01 17:36:31 -0700
committerJosh Haberman <jhaberman@gmail.com>2016-09-01 17:36:31 -0700
commitcf22c890c983378926b3e96ea81e7f4d840d57e9 (patch)
treecfcb08651144fba813e1c157b17c004225fc3f47 /travis.sh
parent7d1de129cda96085da53181d0530ffcc610fc271 (diff)
Adjust PATH in .travis.yml instead of travis.sh.
Diffstat (limited to 'travis.sh')
-rwxr-xr-xtravis.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/travis.sh b/travis.sh
index 694ddc8..5c099a2 100755
--- a/travis.sh
+++ b/travis.sh
@@ -75,15 +75,16 @@ genfiles_install() {
sudo apt-get install lua5.2 liblua5.2-dev
# Need a recent version of protoc to compile proto3 files.
+ # .travis.yml will add this to our path
mkdir protoc
cd protoc
wget https://github.com/google/protobuf/releases/download/v3.0.0-beta-2/protoc-3.0.0-beta-2-linux-x86_64.zip
unzip protoc-3.0.0-beta-2-linux-x86_64.zip
- export PATH=`pwd`:$PATH
cd ..
- protoc --version || true
}
genfiles_script() {
+ protoc --version || true
+
# Avoid regenerating descriptor.pb, since its output can vary based on the
# version of protoc.
touch upb/descriptor/descriptor.pb
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback